Use common-debian-service-https-redirect * salsa.debian.org

<VirtualHost *:443>
	ServerName salsa.debian.org
	ServerAdmin debian-admin@lists.debian.org

	Use common-debian-service-ssl salsa.debian.org
	Use common-ssl-HSTS

	ErrorLog /var/log/apache2/salsa.debian.org-error.log
	CustomLog /var/log/apache2/salsa.debian.org-access.log combined

	DocumentRoot /srv/salsa.debian.org/gitlab/public
	<Directory /srv/salsa.debian.org/gitlab/public>
		Require all granted
	</Directory>

	Include /etc/apache2/includes/ip-blocklist

	ProxyPreserveHost On
	AllowEncodedSlashes NoDecode

	ProxyPass / http://127.0.0.1:8181/ retry=10 nocanon
	ProxyPassReverse / http://127.0.0.1:8181/
	ProxyPassReverse / http://salsa.debian.org/

	#RewriteEngine on
	#RewriteCond %{DOCUMENT_ROOT}/%{REQUEST_FILENAME} !-f [OR]
	#RewriteCond %{REQUEST_URI} ^/uploads/.*
	#RewriteRule .* http://127.0.0.1:8181%{REQUEST_URI} [P,QSA,NE]

	RequestHeader set X_FORWARDED_PROTO 'https'
	RequestHeader set X-Forwarded-Ssl on

	ErrorDocument 404 /404.html
	ErrorDocument 422 /422.html
	ErrorDocument 500 /500.html
	ErrorDocument 502 /502.html
	ErrorDocument 503 /503.html
</VirtualHost>

# vim:set syn=apache:
